export interface ScanProps {
    /**
     * The name of the project being scanned.
     */
    readonly projectName?: string;
    /**
     * The path to scan.
     */
    readonly paths: string[];
    /**
     * The path patterns to exclude from the scan
     */
    readonly excludes?: string[];
    /**
     * If the score set between 0 and 10 the exit code from dependency-check will indicate if a vulnerability with a CVSS score equal to or higher was identified.
     *
     * @default 0
     */
    readonly failOnCVSS?: number;
}
export declare class Cli {
    private readonly command;
    constructor(command?: string);
    scan(props: ScanProps): string;
    update(): string;
    version(): string;
}
